﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Stack : MonoBehaviour
{
    public int numberOfNodes;
    [HideInInspector] public int nodesLeft;
    
    private NodeHolder nodeHolder = null;

    void Awake()
    {
        nodeHolder = gameObject.transform.GetChild(0).GetComponent<NodeHolder>();
        nodeHolder.MakeNodes(numberOfNodes);
    }

    private void OnCollisionEnter(Collision collision)
    {
        if (collision.gameObject.tag == "Cannonball")
        {
            // Destroy the last stack node
            Destroy(collision.gameObject);
            nodeHolder.RemoveBottomNode();
            nodesLeft--;
        }
    }
}
